Package: javax.swing

## [Java] Class ButtonGroup

- javax.swing.ButtonGroup

-     public class ButtonGroup
      extends Object

  GDK enhancements for ButtonGroup.

  displayName:
    ButtonGroup
  receiverFqcn:
    javax.swing.ButtonGroup

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public AbstractButton` | `getAt(int index)` Support the subscript operator for ButtonGroup.
    `` | `public Iterator<AbstractButton>` | `iterator()` Returns an Iterator which traverses the ButtonGroup one AbstractButton at a time.
    `` | `public ButtonGroup` | `leftShift(AbstractButton b)` Overloads the left shift operator to provide an easy way to add buttons to a ButtonGroup.
    `` | `public int` | `size()` Provide the standard Groovy `size()` method for `ButtonGroup`.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public AbstractButton getAt(int index)

      Support the subscript operator for ButtonGroup.

      Parameters:
        `index` - the index of the AbstractButton to get
      Returns:
        the button at the given index
      Since:
        1.6.4

    - #### public Iterator<AbstractButton> iterator()

      Returns an Iterator which traverses the ButtonGroup one AbstractButton at a time.

      Returns:
        an Iterator for a ButtonGroup
      Since:
        1.6.4

    - #### public ButtonGroup leftShift(AbstractButton b)

      Overloads the left shift operator to provide an easy way to add buttons to a ButtonGroup.

      Parameters:
        `b` - an AbstractButton to be added to the buttonGroup.
      Returns:
        same buttonGroup, after the value was added to it.
      Since:
        1.6.4

    - #### public int size()

      Provide the standard Groovy `size()` method for `ButtonGroup`.

      Returns:
        the button count of the buttonGroup
      Since:
        1.6.4